Page MenuHomePhabricator

Create form for India in dlocal using new required fields
Closed, ResolvedPublic2 Story Points

Description

We might not have all the payment methods clearly listed yet. Setup what we know so far. @Ejegg has the configuration info for this.

from pats:
https://docs.google.com/document/d/1XE49Na4rMkFfDRIq5aItH6c_Gjdib4_J8GhEtzGhaQY/edit

Mandatory info from users
• Name
• PAN (Permanent Account Number) (Tax ID)
• Address
• City
(Just like for LATAM, we need to request this info on ur own payment pages and pass it over to Dlocal)

Mandatory for merchant
• Add checkbox for users to agree to Terms. https://dlocal.com/terms-india/
It needs to be on Wikimedia's page where the user selects the payment method. It is the last page before the user is redirected to dLocal (donor inputs their UPI VPA in a second page on our flow, so needs to be there)

Event Timeline

DStrine renamed this task from Create form for India in dlocal using new to Create form for India in dlocal using new required fields.Jun 24 2019, 3:59 PM
DStrine updated the task description. (Show Details)Jun 25 2019, 6:19 PM
Ppena added a subscriber: Ppena.Jun 25 2019, 10:21 PM

UPDATE ON India TOS: Dlocal’s Legal team approved my mockup for the TOS placement just as a link in the Legal disclosure under the banner. No need for an opt-in box. See the addition of the India TOS in yellow.

We do not sell or trade your information to anyone. By donating, you agree to share your personal information with the Wikimedia Foundation, the nonprofit organization that hosts Wikipedia and other Wikimedia projects, and its service providers pursuant to our donor policy <link> and terms of service <link>. Wikimedia Foundation and its service providers are located in the United States and in other countries whose privacy laws may not be equivalent to your own. For more information please read our donor policy.

XenoRyet set the point value for this task to 2.Jul 1 2019, 7:55 PM
XenoRyet closed this task as Resolved.Jul 23 2019, 8:02 PM